%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate eyre

Name:           rust-eyre
Version:        0.6.12
Release:    1%{?dist}
Summary:        Flexible concrete Error Reporting type with customizable Reports

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/eyre
Source0:         %{crates_source}
Patch:          eyre-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Flexible concrete Error Reporting type built on std::error::Error with
customizable Reports.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+auto-install-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+auto-install-devel %{_description}

This package contains library source intended for building other packages which
use the "auto-install" feature of the "%{crate}" crate.

%files       -n %{name}+auto-install-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+track-caller-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+track-caller-devel %{_description}

This package contains library source intended for building other packages which
use the "track-caller" feature of the "%{crate}" crate.

%files       -n %{name}+track-caller-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.12-1
- initial build
